package it.eng.spago.soap.axis.client;

public class AdapterAxisClient implements it.eng.spago.soap.axis.client.AdapterAxis {
  private String _endpoint = null;
  private it.eng.spago.soap.axis.client.AdapterAxis adapterAxis = null;
  
  public AdapterAxisClient() {
    _initAdapterAxisProxy();
  }
  
  private void _initAdapterAxisProxy() {
    try {
      AdapterAxisServiceLocator adapterAxisServicelocator = 	(new it.eng.spago.soap.axis.client.AdapterAxisServiceLocator());
      adapterAxis = adapterAxisServicelocator.getAdapterAxis();
      
      
      if (adapterAxis != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)adapterAxis)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)adapterAxis)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (adapterAxis != null)
      ((javax.xml.rpc.Stub)adapterAxis)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public it.eng.spago.soap.axis.client.AdapterAxis getAdapterAxis() {
    if (adapterAxis == null)
      _initAdapterAxisProxy();
    return adapterAxis;
  }
  
  public java.lang.String service(java.lang.String request) throws java.rmi.RemoteException{
    if (adapterAxis == null)
      _initAdapterAxisProxy();
    
    return adapterAxis.service(request);
  }
  
  
}