package it.eng.spago.event;

import it.eng.spago.dispatching.action.ActionIFace;

/**
 * @author zoppello
 * 
 * A Spago Event that is the base class for all the event raised by
 * Action execution
 */
public class ActionEvent implements ISpagoEvent {

	private ActionIFace action = null;
	
	public ActionEvent(ActionIFace action){
		this.action = action;
	}
	
	public Object getSource() {
		return this.action;
	}

	
}
