package it.eng.spago.event;

import it.eng.spago.dispatching.action.ActionIFace;
/**
 * @author zoppello
 * A subclass of ActionEvent that indicate that an exception has occurred during
 * the Action Execution
 */
public class ActionExceptionEvent extends ActionEvent implements  IExceptionEvent {
	
	private Exception exception = null;
	
	public ActionExceptionEvent(ActionIFace action, Exception e){
		super(action);
		this.exception = e;
	}

	public Exception getException() {
		return this.exception;
	}
	
	
	
	

	
}
