package it.eng.spago.event;

import it.eng.spago.dispatching.module.PageIFace;
/**
 * @author zoppello
 * 
 * A subclass of PageEvent that indicate that an exception has occurred during
 * page Execution 
 * 
 */
public class PageExceptionEvent extends PageEvent implements  IExceptionEvent {
	
	private Exception exception = null;
	
	public PageExceptionEvent(PageIFace page, Exception e){
		super(page);
		this.exception = e;
	}

	public Exception getException() {
		return this.exception;
	}
	
	
	
	

	
}
