/**

    Copyright 2004, 2006 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.navigation;

import java.io.Serializable;

public class LabelID implements Serializable {
    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    private String _label = null;
    private String _id = null;

    public LabelID() {
        super();
        _label = null;
        _id = null;
    } //public LabelID()

    public String getLabel() {
        return _label;
    } //public String getLabel()

    public void setLabel(String string) {
        _label = string;
    } //public void setLabel(String string)

    public String getId() {
        return _id;
    } //public String getId()

    public void setId(String string) {
        _id = string;
    } //public void setId(String string)
} // public class LabelID implements Serializable
