/**

    Copyright 2004, 2006 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.dispatching.httpchannel.upload;

public class UploadException extends Exception {
    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    public UploadException(String message) {
        if (message == null)
            _message = "NOT DEFINED";
        else
            _message = message;
    } //public UploadException(String message)

    public String getMessage() {
        return _message;
    } // public String getMessage()

    private String _message = null;
} // public class UploadException extends Exception
