/**

    Copyright 2004, 2006 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.attachment;

import java.io.InputStream;

public abstract class AbstractAttachmentItem implements IFaceAttachmentItem {
    private String _fieldName = null;
    private String _name = null;
    private String _contentType = null;
    private InputStream _inputStream = null;

    public AbstractAttachmentItem() {
        super();
        _fieldName = null;
        _name = null;
        _contentType = null;
        _inputStream = null;
    } // public AbstractAttachmentItem()

    public String getFieldName() {
        return _fieldName;
    } // public String getFieldName()

    public void setFieldName(String fieldName) {
        _fieldName = fieldName;
    } // public void setFieldName(String fieldName)

    public String getName() {
        return _name;
    } // public String getName()

    public void setName(String name) {
        _name = name;
    } // public void setName(String name)

    public String getContentType() {
        return _contentType;
    } // public String getContentType()

    public void setContentType(String contentType) {
        _contentType = contentType;
    } // public void setContentType(String contentType)

    public InputStream getInputStream() {
        return _inputStream;
    } // public InputStream getInputStream()

    public void setInputStream(InputStream inputStream) {
        _inputStream = inputStream;
    } // public void setInputStream(InputStream inputStream)
} // public abstract class AbstractAttachmentItem implements IFaceAttachmentItem
