/**

    Copyright 2004, 2006 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.base;
/**
* DATE            CONTRIBUTOR/DEVELOPER    NOTE
* 13-12-2004		  Butano	   Cambiato il valore della costante Spago		   
* 										    
**/
/**
 * @author 
 */
public class Constants {
    public static final String NOME_MODULO = "Spago";
    public static final String DEFAULT_PUBLISHER = "DEFAULT";
    public static final String DEFAULT_XML_STRUCTURE = "DEFAULT";
    public static final String REQUEST_CONTAINER = "REQUEST_CONTAINER";
    public static final String RESPONSE_CONTAINER = "RESPONSE_CONTAINER";
    public static final String SERVICE_REQUEST = "SERVICE_REQUEST";
    public static final String SERVICE_RESPONSE = "SERVICE_RESPONSE";
    public static final String PUBLISHER = "PUBLISHER";
    public static final String PUBLISHING_MODE = "PUBLISHING_MODE";
    public static final String XML_STRUCTURE = "XML_STRUCTURE";
    public static final String ERROR_HANDLER = "ERROR_HANDLER";
    public static final String CHANNEL_TYPE = "CHANNEL_TYPE";
    public static final String HTTP_CHANNEL = "HTTP";
    public static final String WAP_CHANNEL = "WAP";
    public static final String JMS_CHANNEL = "JMS";    
    public static final String SOAP_CHANNEL = "SOAP";
    public static final String EJB_CHANNEL = "EJB";
    public static final String PORTLET_CHANNEL = "PORTLET";
    public static final String PORTLET_CONFIG = "PORTLET_CONFIG";
    
    public static final String HTTP_RESPONSE_FREEZED = "HTTP_RESPONSE_FREEZED";
    public static final String HTTP_IS_XML_REQUEST = "HTTP_IS_XML_REQUEST";

    public static final String ACTION_NAME = "ACTION_NAME";
    public static final String PAGE = "PAGE";
    public static final String NOTHING_PUBLISHER_TYPE = "NOTHING";
    public static final String LOOP_PUBLISHER_TYPE = "LOOP";
    public static final String PUBLISHER_NAME = "PUBLISHER_NAME";
    public static final String LAST_PUBLISHER_NAME = "LAST_PUBLISHER_NAME";
    
    public static final String ACTION_PATH = "ACTIONS.ACTION";
    public static final String PAGE_PATH = "PAGES.PAGE";

    public static final String AUTOMATIC_REDIRECTION = "COMMON.AUTOMATIC_PUBLISHER_REDIRECTION";
    public static final String AUTOMATIC_REDIRECTION_ERRORS = "COMMON.AUTOMATIC_PUBLISHER_REDIRECTION_ON_ERRORS";
    
    public static final String ACTION_URL_PATTERN = ".ACTION";
    public static final String PAGE_URL_PATTERN = ".PAGE";
    
} // public class Constants
