package it.eng.spago.base;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * XML serializer with the toString method
 */
public class StringXMLSerializer implements XMLSerializer {

    /* (non-Javadoc)
     * @see it.eng.spago.base.XMLSerializer#serialize(org.w3c.dom.Document, org.w3c.dom.Element, java.lang.String, java.lang.Object)
     */
    public void serialize(Document document, Element element, final String key, final Object value) {
        String attributeValue = value.toString();
        element.setAttribute(key, attributeValue);            
    }
    
}
