/**

    Copyright 2004, 2006 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.dbaccess.encript;

import java.security.NoSuchAlgorithmException;

import javax.crypto.SecretKey;

import sun.misc.BASE64Encoder;


/**
 * @author Bernabei Angelo
 * @version 1.0
 * CLASSE CHE GENERA LA KEY
 * 
 */
public class KeyProvider {


	public KeyProvider() {
		super();
	}
	
	/**
	 * Metodo che genera la chiave in Base64.
	 * @return
	 */
	public String generateKey(){
		SecretKey desKey=null;

		try {

				javax.crypto.KeyGenerator keygen = javax.crypto.KeyGenerator.getInstance("DES");
				desKey= keygen.generateKey();
				byte[] byteKey=desKey.getEncoded();
				BASE64Encoder encoder = new BASE64Encoder();
				String base64 = encoder.encode(byteKey);
							
				return base64;

		}  catch (NoSuchAlgorithmException e) {

			e.printStackTrace();
		}
		return null;
	}
}
