package it.eng.spago.event;

import it.eng.spago.dispatching.module.ModuleIFace;
/**
 * @author zoppello
 * 
 * A Spago Event that is the base class for all the event raised by
 * Module Execution
 */
public class ModuleEvent implements ISpagoEvent {

	private ModuleIFace module = null;
	
	public ModuleEvent(ModuleIFace module){
		this.module = module;
	}
	
	public Object getSource() {
		return this.module;
	}

	
}
