package it.eng.spago.event;

import it.eng.spago.dispatching.module.ModuleIFace;
/**
 * @author zoppello
 * 
 * A subclass of ModuleEvent that indicate that an exception has occurred during
 * module Execution 
 * 
 */
public class ModuleExceptionEvent extends ModuleEvent implements  IExceptionEvent {
	
	private Exception exception = null;
	
	public ModuleExceptionEvent(ModuleIFace module, Exception e){
		super(module);
		this.exception = e;
	}

	public Exception getException() {
		return this.exception;
	}
	
	
	
	

	
}
