package it.eng.spago.event;

import it.eng.spago.dispatching.module.PageIFace;
/**
 * @author zoppello
 * 
 * A Spago Event that is the base class for all the event raised by
 * Page execution
 */
public class PageEvent implements ISpagoEvent {

	private PageIFace page = null;
	
	public PageEvent(PageIFace page){
		this.page = page;
	}
	
	public Object getSource() {
		return this.page;
	}

	
}
