package it.eng.spago.event;

/**
 * A Spago Event that is the base class for all the event raised by
 * validation execution
 */
public class ValidationEvent implements ISpagoEvent {

	private String serviceName = null;
	
	public ValidationEvent(String serviceName){
		this.serviceName = serviceName;
	}
	
	public Object getSource() {
		return this.serviceName;
	}

	
}
