/**

Copyright 2004, 2006 Engineering Ingegneria Informatica S.p.A.

This file is part of Spago.

Spago is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
any later version.

Spago is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with Spago; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.presentation;

import it.eng.spago.base.RequestContainer;
import it.eng.spago.base.ResponseContainer;
import it.eng.spago.presentation.PublisherDispatcherIFace;

public class DynamicForwardPublisher implements PublisherDispatcherIFace {
	/**
	 *
	 */
	public DynamicForwardPublisher() {
		super();

	}

	public String getPublisherName(RequestContainer request,
			ResponseContainer response) {

		String navPar = (String) request.getServiceRequest().getAttribute(
				"PUBLISHER_NAME");
		if (navPar != null) {
			return navPar;
		} else {
			return "SERVICE_ERROR_PUBLISHER";
		}
	}
}

