/**

    Copyright 2004, 2006 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.test;

import it.eng.spago.dispatching.soapchannel.AdapterSOAPProxy;

public class AdapterSOAPClient {
    public AdapterSOAPClient() {
    } // public AdapterSOAPClient()

    public static void main(String[] args) {
        try {
            AdapterSOAPProxy adapterSOAP = new AdapterSOAPProxy();
            String request =
                "<SERVICE_REQUEST ACTION_NAME=\"PersonaFisicaAction\" cognome=\"BAAS\" MESSAGE=\"LIST\" NEW_SESSION=\"TRUE\"/>";
            System.out.println("AdapterSOAPClient::main: request\n" + request);
            String response = adapterSOAP.service(request);
            System.out.println(
                "AdapterSOAPClient::main: response\n" + response);
        } // try
        catch (Exception ex) {
            System.out.println(
                "AdapterSOAPClient::main: errore in adapterSOAPStub.service(request)");
            ex.printStackTrace();
        } // catch (Exception ex) try
    } // public static void main(String[] args)
} // public class AdapterSOAPClient
